## com.artofsolving.jodconverter.openoffice.connection
Class OpenOfficeConfiguration

    java.lang.Object
      com.artofsolving.jodconverter.openoffice.connection.OpenOfficeConfiguration

    public class OpenOfficeConfiguration

extends java.lang.Object

Utility class to access OpenOffice.org configuration properties at runtime

Field Summary
`static java.lang.String` `NODE_L10N`
`static java.lang.String` `NODE_PRODUCT`

Constructor Summary
`OpenOfficeConfiguration(OpenOfficeConnection connection)`

Method Summary
`java.lang.String` `getOpenOfficeLocale()`
`java.lang.String` `getOpenOfficeProperty(java.lang.String nodePath, java.lang.String node)`
`java.lang.String` `getOpenOfficeVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_L10N

    public static final java.lang.String NODE_L10N

See Also:
  Constant Field Values

### NODE_PRODUCT

    public static final java.lang.String NODE_PRODUCT

See Also:
  Constant Field Values

Constructor Detail

### OpenOfficeConfiguration

    public OpenOfficeConfiguration(OpenOfficeConnection connection)

Method Detail

### getOpenOfficeProperty

    public java.lang.String getOpenOfficeProperty(java.lang.String nodePath,
                                                  java.lang.String node)

### getOpenOfficeVersion

    public java.lang.String getOpenOfficeVersion()

### getOpenOfficeLocale

    public java.lang.String getOpenOfficeLocale()

Copyright © 2003-2009 Art of Solving. All Rights Reserved.